## visad.java3d
Class TrackdJNI

    java.lang.Object
      visad.java3d.TrackdJNI

public class TrackdJNI
extends Object

TrackdJNI is the VisAD class for connecting WandBehaviorJ3D to the trackd native methods. It is in a seperate class because javah cannot find the Java3D classes that are imported by WandBehaviorJ3D.

Constructor Summary
`TrackdJNI(int tracker_shmkey, int controller_shmkey)`

Method Summary
`void` `getTrackd(int[] number_of_sensors, float[] sensor_positions, float[] sensor_angles, float[] sensor_matrices, int[] number_of_buttons, int[] button_states)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TrackdJNI

    public TrackdJNI(int tracker_shmkey,
                     int controller_shmkey)
              throws VisADException

Method Detail

### getTrackd

    public void getTrackd(int[] number_of_sensors,
                          float[] sensor_positions,
                          float[] sensor_angles,
                          float[] sensor_matrices,
                          int[] number_of_buttons,
                          int[] button_states)